Subject: Re: linux-next: Fixes tag needs some work in the nfs-anna tree

From: Takashi Iwai <[email-masked]>
Date: Tue, 15 Jan 2019 23:12:26 +0100

On Tue, 15 Jan 2019 22:41:21 +0100,
Chuck Lever wrote:
> 
> Hi Stephen-
> 
> On Jan 15, 2019, at 4:38 PM, Stephen Rothwell <[email-masked]> wrote:
> 
> > [I am experimenting with checking the Fixes tags in commits in linux-next.
> > Please let me know if you think I am being too strict.]
> > 
> > Hi all,
> > 
> > Commit
> > 
> >  deaa5c96c2f7 ("SUNRPC: Address Kerberos performance/behavior regression")
> > 
> > has problem with this Fixes tag:
> > 
> >  Fixes: 918f3c1fe83c ("SUNRPC: Improve latency for interactive ... ")
> > 
> > The subject should match the subject of the fixed commit.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> 
> I shortened the commit title so that the Fixes: line is shorter than 68
> characters. I can leave these titles alone if that's preferred.

I've sometimes shorted the subject like the above, too, as I find a
too long text annoying.  Maybe the partial string matching should
suffice, especially when it ends with "..." ?

thanks,

Takashi